[PATCH 2 of 2 DROP-PYTHON-2.4] setup.py: drop compatibility with Python 2.4 and 2.5

Sean Farley sean at farley.io
Sat May 9 02:04:11 CDT 2015


Pierre-Yves David <pierre-yves.david at ens-lyon.org> writes:

> # HG changeset patch
> # User Pierre-Yves David <pierre-yves.david at fb.com>
> # Date 1431153855 25200
> #      Fri May 08 23:44:15 2015 -0700
> # Node ID 86d3dce8979a3c2f9b826ed7981d4ffe2f9444f5
> # Parent  16b07284fef670b26815b6533b742b21f40fedb1
> setup.py: drop compatibility with Python 2.4 and 2.5
>
> The last blocker for dropping Python 2.4 was Centos 5. We now provide our own
> Mercurial package for Centos 5 with a bundled Python2.7.
>
> I'm therefore happy to officially drop compatibility with Python 2.4 (and
> Python 2.5 that nobody really cares about). This open the season for code
> cleanup.
>
> It is war's prize to take all vantage.

Cry 'Havoc!', and let slip the dogs of war!


More information about the Mercurial-devel mailing list